# Get Endpoint - GetApprovalById
Returns approval with the provided id.
# HTTP Request
One of the following requests should be made:
GET /odata/approvals({key})
GET /odata/approvals/{key}
The endpoint supports the following OData query parameters: $select, $expand
# Path parameters
| Name | Description |
|---|---|
| key | required. Id of approval that should be loaded. |
# Query parameters
| Name | Description |
|---|---|
| repository | optional. Destination repository key. |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
# Responses
| Code | Description | Type |
|---|---|---|
200 | If the load of approval was successful. | array ApprovalEntity |
400 | If provided request data is invalid. | |
500 | When an internal server occurs during the load of approval. |
# Example
# Request
The following is an example of how to call the endpoint:
GET /odata/approvals(1)?repository=repo1
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"approvalId": 123,
"itemName": "Important Document.pdf",
"itemId": "b99a0cb6-f538-422d-a296-744882848f7d",
"kind": "documentSizeExceeded"
}